<?php
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<! VERSION 1.4 MPF version>
<?php
//USE SESSION VARIABLE TO SET FONT SIZE
  $FSIZE="14";
	if (isset($_SESSION["fsize"])) $FSIZE = $_SESSION["fsize"];
//USE SESSION VARIABLE TO SET HIGH RES

  $CSS1="../css/stylesall.css";
  $CSS2="../css/stylesmore.css";
  $IMAGE="../images/LGPS2014B.png";
  
	if (isset($_SESSION["css"])) {
      $CSS = $_SESSION["css"];
       if ($CSS == "N") {
          $CSS1="../css/stylesall.css";
          $CSS2="../css/stylesmore.css";
          $IMAGE="../images/LGPS2014B.png";
        }
        if ($CSS == "HRBY") {
          $CSS1="../css/hires/stylesallHRBY.css";
          $CSS2="../css/hires/stylesmemberHRBY.css";
          $IMAGE="../images/LGPS2014BL.png";
        }
        if ($CSS == "HRBW") {
          $CSS1="../css/hires/stylesallHRWB.css";
          $CSS2="../css/hires/stylesmemberHRWB.css";
          $IMAGE="../images/LGPS2014BL.png";
        }
        if ($CSS == "HRYB") {
          $CSS1="../css/hires/stylesallHRYB.css";
          $CSS2="../css/hires/stylesmemberHRYB.css";
          $IMAGE="../images/LGPS2014BL.png";
        }
        if ($CSS == "HRWB") {
          $CSS1="../css/hires/stylesallHRBW.css";
          $CSS2="../css/hires/stylesmemberHRBW.css";
          $IMAGE="../images/LGPS2014BL.png";
        }
   }
?>

<!----------------------------------------------------------PHP CODE -------------------------------------------------------------->
<?php
$yearpension = 0;
$lumpsum = 0;
$value = 0;
$DERROR = NULL;
$WARNING = NULL;
$DIND = 0;

if(isset($_POST['btnSubmit'])){
    $value = $_POST['value'];
    //Checking whether the input is number
    $yearpension = (is_numeric($_POST['yearpension']))? $_POST['yearpension'] : -1;
    $lumpsum = (is_numeric($_POST['lumpsum']))? $_POST['lumpsum'] : 0;
    $DIND = ($yearpension == -1) ? 2 : $DIND ; 
    //$DIND = ($lumpsum == -1) ? 2 : $DIND ;
    
    // Checking whether input is negative
    $yearpension = ($yearpension < 0)? -2 : $yearpension;
    //$lumpsum = ($lumpsum < 0) ? -2 : $lumpsum;
    $DIND = ($yearpension == -2) ? 2 : $DIND ; 
    $DIND = ($lumpsum == -2) ? 2 : $DIND ; 

 
     ?>
     
<?php
  if($DIND<1){
  $capital = ($yearpension * 20) + $lumpsum + $value;
  $percentage = ($capital / 1000000) * 100;
  if(($capital > 1000000) || ($percentage > 100)){
       $WARNING = $WARNING . 'The results indicate that the value of your LGPS benefits will exceed the standard lifetime allowance.  Please refer to the <a href="https://www.lgpsmember.org/docs/LGPS%20factsheet_LTA.pdf" target="_blank()">lifetime allowance factsheet</a> for information on how to protect your benefits against the lifetime allowance charge, how a lifetime allowance charge can be paid and how to obtain independent financial advice.  If you already hold a lifetime allowance protection this will not be taken account in the above calculation.';
  }
  else{
      $WARNING = $WARNING .'Based on the information you have provided, the value of your LGPS  benefits will not exceed the lifetime allowance.  The check tool does not take into account any pension benefits that are already being paid to you or any benefits held with other pension schemes. If you would like to know more about the lifetime allowance please read the <a href="https://www.lgpsmember.org/docs/LGPS%20factsheet_LTA.pdf" target="_blank()">lifetime allowance factsheet</a>.';
  }
       
  }
  
  
  
}	
 ?> 

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta name="title" content="What does the LGPS cost" />
	<meta name="description" content="What does the LGPS cost" />
	<meta name="keywords" content="What does the LGPS cost" />
<title>The lifetime allowance quick check tool</title>
<style type="text/css" media="screen">@import "<?php echo $CSS1; ?>";</style>
<style type="text/css" media="screen">@import "<?php echo $CSS2; ?>";</style>
<style type="text/css" media="print">@import "../css/stylesprint.css";</style>
<script src="rangeslider.js-2.3.0/jquery.min.js"></script>  
<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
<script type="text/javascript" src="https://www.lgpsmember.org/more/apc/leanmodal/jquery.leanModal.min.js"></script>
<script type="text/javascript">
			$(function() {
    			$("a[rel*=leanModal]").leanModal({ top : 100, closeButton: ".modal_close" });		
			});                   		</script>
</head>
<body style="font-size: <?php echo $FSIZE; ?>px;">
<?php include_once("../analyticstracking.php") ?>
<?php include_once '../includes/header.php';?>

<div class="page">
<div class="middle">
    <div id="menu1">
    <ul>
<!-- <li><a href="../already-member-extraAPC.php">Back</a></li> -->
    <li><button onclick="goBack()">Go Back</button><script>function goBack() { window.history.back();} </script> </li>
    </ul>
    </div><!-- End of menu1 -->
<!--------------------START OF COMMON CODING -------------------------------------------------------------------------------------------------------->

   <div class="content">
       <div id="topcontent" style="font-weight: normal;">
     <table cellpadding="0" cellspacing="0">
     <tbody>
     <tr><td colspan="2"><h2>What is the lifetime allowance?</h2></td></tr>
     <tr><td colspan="2">The lifetime allowance is the total value of all pension benefits you can have without triggering an excess benefits tax charge. If the value of your pension benefits when you draw them (not including any state retirement pension, pension credit or any partner's or dependant's pension you may be entitled to) is more than the lifetime allowance, or more than any protections you may have, you will have to pay tax on the excess benefits. The lifetime allowance is set by HM Treasury and is currently &pound;1million; it covers any pension benefits you may have in all tax-registered pension arrangements - not just the LGPS. </td></tr>
      <tr><td><br /></td></tr>
     <tr><td colspan="2">For pensions that start to be drawn on or after 6 April 2006, the value of those pension benefits, for the purposes of the lifetime allowance, is calculated by multiplying your annual pension by 20 and adding any lump sum you draw from the pension scheme (including any lump sum drawn from an in-house AVC fund).</td></tr>
     <tr><td><br /></td></tr>
     <tr><td colspan="2"><h2>The lifetime allowance quick check tool </h2></td></tr>
     <tr><td colspan="2"><strong>You can use the quick check tool to:  </strong></td></tr>
             <tr><td colspan="2">
                     
                              <ul style="list-style-type:disc;">
                    <li>estimate the total value of your LGPS benefits (including an in-house AVC fund)</li>
                    <li>estimate how much of the current lifetime allowance your LGPS benefits would use</li>
                    <li>check if an excess tax charge is likely to be payable in respect of your LGPS benefits</li>
                     </ul>
                     </td></tr>
    <tr><td><br /></td></tr>
    
    <tr><td colspan="2"><strong>The check tool does not take into account: </strong></td></tr>
            <tr><td colspan="2">
                    <ul style="list-style-type:disc;">
                        <li>any pension benefits that are already being paid to you (these are valued differently)</li>
                        <li>any pension benefits that you hold with other pension schemes</li>
                        <li>any lifetime allowance protection that you may hold </li>
                    </ul>
        </td></tr>
      <tr><td><br /></td></tr>      
     </tbody>     
     </table>

      </div> <!-- topcontent -->
      <div id="contentopt">
<!----------------------------------------------------------INPUT VALUES FOR CALCULATION ------------------------------------------>
      <table width="100%" cellspacing ="0" cellpadding="0">
      <col width="48%">
      <col width="2%">
      <col width="48%">
      <tbody>
      <tr>
      <td valign="top" class="bbout">
      <form method="post"> 
			<table width="100%" cellpadding="5">
			<col width="70%">
			<col width="30%">
			<tr>
			<td class="bbcontsT"  colspan="2" align="center"><h5>Your Details</h5></td>
			</tr>

<!------------------------------------------------------INPUT PEN PAY -->
			<tr>
			<td> Yearly Pension &pound</td>
                        <td><input type="text" name="yearpension" id= "yearpension" tabindex=1 style="height:1.5em; width:8em; font-size: <?php echo $FSIZE; ?>px;" value="<?php if(isset($_POST['btnSubmit'])){ if($yearpension < 1)echo ''; else echo $yearpension; }?>">
                        <a href="#help1" name="input help 1" rel="leanModal"><img src="images/helpB.png" alt="field help" border="0"></a>
                        </td>
			</tr>
			
<!------------------------------------------------------INPUT PAY FREQ -->
			<tr>
			<td class="bbconts" >Automatic Lump Sum &pound;</td>
			<td class="bbconts"><input id="lumpsum" type="text" name="lumpsum" tabindex=1 style="height:1.5em; width:8em; font-size: <?php echo $FSIZE; ?>px;" value="<?php if(isset($_POST['btnSubmit'])){ echo $lumpsum; }?>">
<a href="#help2" name="input help 1" rel="leanModal"><img src="images/helpB.png" alt="field help" border="0"></a></td>
			
			</tr>                                        
<!------------------------------------------AVC CONTRIBUTION  ------------>
<tr>
			<td>Value of AVC Fund</td>
                        <td><input id="value" type="text" name="value" tabindex=1 style="height:1.5em; width:8em; font-size: <?php echo $FSIZE; ?>px;" value="<?php if(isset($_POST['btnSubmit'])){ if($value <1)echo 0; else echo $value; }?>">
<a href="#help3" name="input help 1" rel="leanModal"><img src="images/helpB.png" alt="field help" border="0"></a></td>			
			</tr>
                            
<!------------------------------------------------------SUBMIT BUTTON FOR QUOTE -->
			<tr>
                            <td colspan="2" align="center"><input onclick="return validate();" name="btnSubmit" type="submit" tabindex=6 value="Calculate" style="height:1.6em; width:10em; font-size: <?php echo $FSIZE; ?>px;"></td>
			</tr>
			</table>

<!------------------------------------------------------GUIDANCE TEXT FOR QUOTE -->
			<table width="100%" cellpadding="8">
			<tr>
			
			</table>
			</td>
			<td></td>
			

 
<!-------------------------------------------------------DISPLAY RESULTS-----------------------------------------------------------> 			
      <td valign="top" class="bbout">
			<table width="100%" cellpadding="5">
			<col width="70%">
			<col width="30%">
<!------------------------------------------------------- DISPLAY RESULTS -->
			<tr>
			<td class="bbcontsT"  colspan="2" align="center"><h5>Results</h5></td>
			</tr>
			<tr>
                            <td>Total Value of Pension Benefits</td>
                                <td>
                            &pound; <?php if((isset($_POST['btnSubmit'])) && ($DIND <1))echo number_format($capital, 2); ?>  </td>
			</tr>
			<tr style="height: 35px;">
                            <td class="bbcontsTot" ><strong>Percentage of Standard Lifetime Allowance used</strong></td>
                            <td class="bbcontsTot" ><strong>
                                             <?php if((isset($_POST['btnSubmit'])) && ($DIND <1))echo number_format ($percentage, 2); ?>% </strong></td>
			</tr>
                          <tr style="height: 44px;"><td colspan="2"><h6 style="color:red;"><?php if (isset($DERROR))echo $DERROR; if (isset($ERROR)) echo $ERROR; if (isset($LSERROR)) echo $LSERROR; ?></h6>
<p style="color:red;"><?php if (isset($WARNING))echo $WARNING; ?></p></td></tr>
                          
                           <tr>
                               <td colspan="2" align="center"><input onclick="return confirmreset()" type="submit" tabindex=21 value="Reset" style="height:1.6em; width:10em; font-size: <?php echo $FSIZE; ?>px;"></td></form>
                        </tr>
                        
			</table>
			</td>
			</tr>
			</tbody>
			</table>
      </div> <!-- end contentopt -->

      
      
      
      <!--<div id="contentoutputC">
---------------------------------------------------- RESET ALL VALUES ON PAGE------------------------------------------------
			<table width="100%" cellpadding="3">
			<tr>
			<td class="error"><h5>RESET ALL:</h5> Click on this button only if you wish to reset ALL values on the page to blank</td>
			<td align="center"><form method="post"><INPUT TYPE="submit" tabindex=21 VALUE="Reset page" style="height:1.6em; width:8em;"></form></td>
			</tr>
			</table>
			</div> End of contentoutput -->
</div><!-- End of content -->
</div><!-- End of middle -->
</div><!-- End page -->
<div class="footer">
  <div class="footerfill">
  <a href="../index.php">Home</a> | <a href="../glossary.php">Glossary</a> | <a href="../disclaimer.php">Disclaimer</a> | <a href="../contactus.php">Contact us</a></br>
  Site Information and LGPS LTA quick check tool Version 1.0 : Copyright &copy; 2017 The Local Government Association 2017<br>
  <p>Disclaimer: This check tool has been produced for illustrative purposes only to provide an estimate of how much lifetime allowance a member has used in respect of their LGPS benefits. The results shown are for general information purposes only and do not cover all individual circumstances. The check tool does not take into account any pension benefits that are already being paid, any benefits held with other pension schemes or any lifetime allowance protections the member may hold.  In the event of any dispute as to benefits due under the LGPS the appropriate legislation will prevail. The information in this calculator does not provide any contractual or statutory rights and does not override existing legislation. </p>
  </div><!-- End of footerfill -->
</div><!-- End of footer -->
<!--  <script>
   function selected(){
       alert($('#percentage :selected').text());
   }
        </script>-->
 <div id="help1">
			<table width="100%" cellpadding = "5">
			<col width="95%">
			<col width="5%">
			<tr>
			<td class="bbcontsB"><h3> Yearly Pension</h3></td>
			<td class="bbapcG" align="center"><a class="modal_close" href="#"></a></td>
			<tr>
			<td colspan ="2" class="help">
Enter the amount of yearly pension payable at the date you wish to test your lifetime allowance.  You will find the yearly pension you have built up to 31 March of the current year on your annual statement in addition to the pension  payable at your normal pension age if you keep contributing to the scheme									
			</td>
			</tr>
			</table>
			</div>	
 <div id="help2">
			<table width="100%" cellpadding = "5">
			<col width="95%">
			<col width="5%">
			<tr>
			<td class="bbcontsB"><h3> Automatic Lump Sum </h3></td>
			<td class="bbapcG" align="center"><a class="modal_close" href="#"></a></td>
			<tr>
			<td colspan ="2" class="help">
		Enter the amount of automatic lump sum payable in respect of your membership up to 1 April 2008.  This figure will be shown on your annual benefit statement if applicable.  If you joined the LGPS after 1 April 2008 you will not receive any automatic lump sum but you will be able to give up pension for lump sum when you draw your pension. 		</td>
			</tr>
			</table>
			</div>
<div id="help3">
			<table width="100%" cellpadding = "5">
			<col width="95%">
			<col width="5%">
			<tr>
			<td class="bbcontsB"><h3>Value of AVC fund</h3></td>
			<td class="bbapcG" align="center"><a class="modal_close" href="#"></a></td>
			<tr>
			<td colspan ="2" class="help">
		 Enter the value of your AVC fund, if applicable. AVCs are extra payments to increase your future benefits. You can find the value of your AVC fund by either logging into your online account with your AVC provider or on your latest annual statement.	</td>
			</tr>
			</table>
			</div>
<script>
    function validate(){
        var lumpsum = $("#lumpsum").val();
        var yearly = $("#yearpension").val();
        if(yearly =='' || yearly == 0){
            alert('Please enter a valid value for Yearly Pension.');
            return false;
        }
        else if(lumpsum == ''){
            if(confirm('You have not entered a value for an automatic lump sum (payable in respect of membership before 1 April 2008) - please click OK to proceed if this is correct.') == false){
                return false;
            }
        }
    return true;
    }
    
    function confirmreset(){
        if(confirm('All your calculations will be lost on resetting the calculator. Do you want to reset?') == false){
            return false;
        }
    return true;
    }
    </script>
</body>
</html>
 
